Installing a BlackBerry Beta OS with Mac Desktop Manager

By Bla1ze on 12 Oct 2009 12:15 pm EDT
0
loading...
0
loading...
0
loading...

Since the early previews of the Mac desktop manager it was known that RIM was inputting methods to stop people from installing Beta or Hybrid OS'. What was unknown though was as to how RIM was planning on doing it. Now, things like that don't seem to last very long before someone figures out a way around it. Berryreview was advised of a YouTube video that was posted of a walk through on just how the process works. Check it out, but please remember use caution when doing any updates like this or installing a non official operating system. And if you must, be sure to back up all your data first. The extracted exe files needed are after the jump.

56 comments

nedqadams

So we're still going to need someone with a PC to extract the files and upload them correct?

tentonbricks

Looks to me like the download is a .dmg file.

Oilersboy

good thing that RIM remove files to stop people from installing leaked OS version and RIM wanted everyone to stick with wireless carrier offical OS updates so no more screwing up on your BB. I am sure RIM check on crackberry to see if people have found other way around to get leaked OS version installed on your BB.

notor1oustg

If you don't know how to INSTALL AN APPLICATION on a mac then you're an idiot. Install mac apps are easy as taking a shit.

racker1

If you have the opportunity to install and run windows (XP preferred) through VMware with BlackBerry Desktop Manager or Apploader it will work a lot better for beta OS's than this will. IMO

davidnyc

Unfortunately VMWare doesn't seem to work when loading OSes on some of the newer BlackBerrys out there, such as the 8900.. it hangs up halfway through.

CBRfanatic

That is not true. The reason why it seems to hang is because when it reboots to connect to JVM the phones's usb connection defaults to the Mac OS instead of XP through VMWare, you have to go to (on the menu bar in VM) Virtual Machine>USB>Connect to RIM Composite Device.
This will make the default connection to the virtual machine for that particular device on USB. This way when the phone reboots it automatically connects to VMWare instead of Mac and Desktop Manager will continue to load the files.
Trust me, i do it all the time when i am too lazy to boot into Windows 7 via Bootcamp.

as4life

Beware that you can't upgrade leaked os when running on stock or so i read.

Naider

I have OS 4.5 on my blackberry 8830, it won't let me click to click the phone updates tab after clicking applications on the desktop manager, any suggestions?

Jucawho

First of all ....thanks so much for the video...very nice video. But I have a quick quesiton...where did you get this wallpaper man??? the wooden wallpaper for with the apple logo???

cjones11481

Since files of 148 are being replaced but are still under ".148"... is it still going to say 4.7.0.148 under the about screen... Not sure if maybe I did something wrong, but, mine still says 4.7.0.148... anybody else? :)... or did I do it completely wrong?

Naider

When I go to applications and check click check for updates, She button for "Show other versions" is not clickable, it will only let me Install/remove applications, or close, anyone know how to fix this?

The Gift

...any person who tries to find a work around for us Mac users, gets a pat on the back from me. So good on you fella.

I'm sure someone will soon crack it properly.

ferritt

Dont work for me?
First of the os install failed twice so i thought I'd nuked my 8900! mac desktop manager finally got the device to boot so i could pick the new os to load.
Did every as said in the video but when new os starts up it locks up on the setup wizard. With error msg's saying file not present?

Had to revert back to .101 and then back to stock orange uk OS.

any ideas what went wrong?

cjones11481

Same thing happened to me with my storm... now since i replaced the files on 148... i have to stick with .75... aghh... any ideas?

SMarin37

try wirelessly dl the .148 update...same thing happened to me, went back to .75 then wirelessly to .148, but now i get an error when trying to load up the applications that my storm 9530 came with like BB Maps etc.

Error: Validation failed because a module marked for update (net_rim_bb_lbs_resource__en) is not available on local disk

Anyone have a fix for this?

cjones11481

well this is something.... went to look for the wireless update and it's not listed under advanced options! oh this sucks!

**UPDATE**
did a battery pull and now it appears! yay!

nickmatteis

i was stuck on a white screen with a list of apps, and none would launch, so i deleted everything in that weird folder and it downloaded everyhting and fixed it, but then i thought i did something wrong and tried it again, stupid me, now i have "RELOAD SOFTWARE 507" on my screen and im stuck

drummerEarl87

very cool! nice post, i am doing this now, and runs super smooth so far. Thanks alot!!!!

Naider

When I go to applications and check click check for updates, She button for "Show other versions" is not clickable, it will only let me Install/remove applications, or close, anyone know how to fix this?

Naider

How do i not run on stock? I'm on a 8830 with sprint

killersilver

I was using .297 from AT&T and i followed this steps to install the 5.0.0.238 on my Bold.

After loading the official OS there was no problem at all. The problem came when i loaded the .238 files and Desktop Manager for Mac tried to load the OS again. After rebooting the phone i got a blank screen with a list of all my applications and the first time configuration wizard on top. When i clicked continue it just hung up. And from now on it just gets stuck in that screen.

I'm downloading the 238 version for Windows. i will wipe the device and load it from there.

PossumPete

+1

Same here. Did you use the CDMA folder at all? I'm wondering if we're supposed to touch that file or not?

infamyx

ill give this a shot, since ive been forced into being a macfag until i can get windows 7...

andylene

I have to go along with Jucawho. I am actually more interested in the wallpaper on your Mac than anything else. Where did you get this at?

heavensent58#CB

Tried it - nuked my storm but all better now - back to 4.7

rmstudio

Thanks for the video for us mac users... It was funny I was just updating my os on my Bold and came across your video as I was going to update my bold. So thanks. "I guess I'll take them biggon's" "It aint got no gas in it"

h.guerrier

so how do we go about installing the beta version of 5.0 on the 8900 on a mac... is it impossible so faR?

irtehun

The reason everyone is bricking is because the "ALX" files wherever they may be are not updated to put the new .cod into the OS. alot of COD's are different in OS 5.0 then OS 4.7.1 or any other OS lower then 5.0 for that matter.

jonnyrocket649

how do i get the java folder. i downloaded a hybrid but only have the .exe file and am confused about what to do next

MOESTEPP

I create this video and the DMG files, this works 100% for Hybrids and or updating from 5.0.0.190 to 5.0.0.238 but to jump from 4.5 to 5.0 it will not work??? I am still testing as I have been for several days! Please be patient and any additional help would be very helpful….

I don’t think the ALX files are needed? I have the ALX files, but still no luck on install the BETA? Any clue?

vaughnhcky89

this caused my storm to brick, i had to use my roommates desktop and install all the desktop software and OS version on his, i would recommend just using a PC or sticking to the approved OS

pntbldan

.148 is reloading right now. 5.0 files are downloaded and waiting. I'll be giving this a go here shortly. Fingers crossed! I'll post up if it works or if I have a new brick...

Tommy6404

It had restarted and was loading the blackberry with the 5.0 boot screen (the new sleek black and white screen with a load bar instead of a white screen with a damn blue bar taking forever to move), and It skips to the option screen and says I am coming up with a BlackBerry Platform v. 4.2.0.61 ! ? ! ? ! ? ! ? ! ? ! ? !?!?!?!?

WHHHHaaaaaaaaaaaTT!?!?!?!?!!?!?!?!?!?!?!?!!?

blaisedinsd

4.2.0.61 is a 5.0 platform file I think....

Did you successfully update to 5.0 from a 4.7 with this method?

MarkLovin

i wish it would update to 5.0 without any problems, havnt tried it yet but i havnt heard any success stories.

blaisedinsd

If it won't work to go from 4.7 to 5.0 it would be cool if someone would host the files for .167 and .151 so any Mac users who haven't been able to udate their OS at all could at least try a better OS than what VZW has as their official right now.

mad_vtak

IF YOU CAN AFFORD A MAC AND A BLACKBERRY THAN YOU CAN AFFORD TO BUY PARALLELS OR VM WARE FUSION.

GET YOUR HAPPY ASS TO THE VIRTUAL MACHINE AND LOAD THE BETA ON THERE. ITS A SHIT LOAD BETTER.

I APOLOGIZE FOR MY LANGUAGE BUT TONIGHT HAS BEEN ROUGH!

cjones11481

totally get your point... but we're just trying to work the kinks out... DM for Mac is obviously still new, and we are trying to utilize every possible aspect- there are always going to be a few bumps along the way, but if no one wants to ride over 'em, how can they be fixed?! :)

PS hope your night gets better... ;)

MarkLovin

i have Parallels but it doesn't work right for upgrading your OS.

Ye

Three attempts: three FAILS! Thank gawd I was able to restore on my mac tonight. I don't have any pc's around
*I have a tour, btw

Thanks tho!

mariaa11

Hi.

I am working in a office all day long but as time goes bye I try to use it to develop my skills as a designer.

I love to redecorate and furnish me and my husbands house and help friends with new ideas of how to make there home look better using modern design furniture.

I find great inspiration in

wohnzimmermöbel

RodneyJ725

Hello,

I appreciate the video, but the DMG for Bold had 2 folders: one containing java, and one named UMTS containing rim9000.sti (which did not exist in 4.6.0.282 which had rim9000j.sti.

Tried all in the video and I got a brick. Then tried replacing rim9000j with rim9000 from UMTS (as java folder did not have any sti files) and same: bricked

Then tried all, copied UMTS to the same directory as the Local folder: bricked.

tried leaving both rim*.sti files: bricked

Back to 4.6.0.282 :(

But, I did appreciate your time and effort in testing this in video, but maybe it just works for the 8900 at the moment. :)

MOESTEPP

I HAVE TRIED SEVERAL TIMES WITH 9530, 8330, 8900 AND I DID THIS VIDEO AND ALL THE WORKS, IT ONLY WORKS WHEN NOT JUMPING VERSIONS 4.5, TO 5. IT WILL LET YOU INSTALL 4.5.0.130 TO 4.5.0.169 OR 5.0.0.190 TO 5.0.0.238 WORKS FINE THAT WAY. BUT IT WILL NOT JUMP PLATFORMS? NOT SURE WHY YET, I HAVE SPENT 3 DAYS TRYING EVERYTHING I KNOW, WITH NO SUCESS :(

jmckeever

So here is my problem ... My Tour (VZW) won't boot and when it tries it gives me ... App Error 200 ... with the only option to restart ... and the loop continues ... the MDM won't allow for a restore to a previous version as the device disconnects and the files that are in the process of downloading terminate on the disconnection? Any help with a work around or solution to restoring?

ArnColon

Is there a file to install the new OS for BB Pearl on a Mac?

little_berry3

Super happy that BB has been able to be compatible for MAC users like myself - except I currently only have the tigerOS and you need at least leopard or SL...boo so now i have to upgrade my MAC...

Sevans18

This bricked my storm, tried several times.

****Solution**** just go back to the file folder you copied the beta into and delete the entire folder. That way when you go back to install the last official update it downloads the correct files again.

dsvc1989

I've done this on my Bold twice trying to go from 4.6.0.297 to 5.0 and have gotten two bricks. Thankfully i also figured out to delete the folder where i copied the beta into so the BB can fix itself

RealD

Can anyone re-up this video? I'm trying to upgrade my 8330